

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _AOcOptions_11(OBJ,OBJ);extern OBJ __AOcOptions_11;
extern OBJ _AOcOptions_12(OBJ,OBJ);extern OBJ __AOcOptions_12;
extern OBJ _AOcOptions_13(OBJ,OBJ);extern OBJ __AOcOptions_13;
extern OBJ _AOcOptions_14(OBJ,OBJ);extern OBJ __AOcOptions_14;

#include "Char.h"
extern OBJ __ASeq_6;

#include "Int.h"

#include "Denotation.h"

#include "NatConv.h"
extern OBJ _AControl_5(OBJ,OBJ,OBJ,OBJ);extern OBJ __AControl_5;
extern OBJ __ANatMap_3;
extern OBJ _ANatMap_4(OBJ,OBJ,OBJ);extern OBJ __ANatMap_4;
extern OBJ _ANatMap_14(OBJ,OBJ);extern OBJ __ANatMap_14;
extern OBJ _ASet_39(OBJ,OBJ,OBJ);extern OBJ __ASet_39;
extern OBJ _ASet_44(OBJ,OBJ,OBJ);extern OBJ __ASet_44;
extern OBJ __APrintableChar_61;
extern OBJ __APrintableChar_62;
extern OBJ __APrintableChar_71;
extern OBJ __APrintableChar_72;
extern OBJ __APrintableChar_75;
extern OBJ __APrintableChar_81;
extern OBJ __APrintableChar_84;
extern OBJ __APrintableChar_87;
extern OBJ __APrintableChar_88;
extern OBJ __APrintableChar_89;

#include "Real.h"

#include "Bitset.h"

#include "Array.h"
extern OBJ _APreparedOptions_2(OBJ);OBJ __APreparedOptions_2; /* prepareOptions */
extern OBJ _APreparedOptions_3(OBJ);OBJ __APreparedOptions_3; /* options */
extern OBJ _APreparedOptions_4(OBJ,OBJ);OBJ __APreparedOptions_4; /* importOptim? */
extern OBJ _APreparedOptions_5(OBJ);OBJ __APreparedOptions_5; /* exportOptim? */
extern OBJ _APreparedOptions_6(OBJ);OBJ __APreparedOptions_6; /* checkDiffExport? */
extern OBJ _APreparedOptions_7(OBJ);OBJ __APreparedOptions_7; /* weakError? */
extern OBJ _APreparedOptions_8(OBJ);OBJ __APreparedOptions_8; /* unfold? */
extern OBJ _APreparedOptions_9(OBJ);OBJ __APreparedOptions_9; /* maxUnfoldComplexity */
extern OBJ _APreparedOptions_10(OBJ);OBJ __APreparedOptions_10; /* maxExportComplexity */
extern OBJ _APreparedOptions_11(OBJ);OBJ __APreparedOptions_11; /* liftConst? */
extern OBJ _APreparedOptions_12(OBJ);OBJ __APreparedOptions_12; /* shareConst? */
extern OBJ _APreparedOptions_13(OBJ);OBJ __APreparedOptions_13; /* shareExternConst? */
extern OBJ _APreparedOptions_14(OBJ);OBJ __APreparedOptions_14; /* liftMFE? */
extern OBJ _APreparedOptions_15(OBJ);OBJ __APreparedOptions_15; /* distribCase? */
extern OBJ _APreparedOptions_16(OBJ);OBJ __APreparedOptions_16; /* distribCaseAlways? */
extern OBJ _APreparedOptions_17(OBJ);OBJ __APreparedOptions_17; /* completeCase? */
extern OBJ _APreparedOptions_18(OBJ);OBJ __APreparedOptions_18; /* completeCaseAlways? */
extern OBJ _APreparedOptions_19(OBJ);OBJ __APreparedOptions_19; /* positions? */
extern OBJ _APreparedOptions_20(OBJ);OBJ __APreparedOptions_20; /* defPositions? */
extern OBJ _APreparedOptions_21(OBJ);OBJ __APreparedOptions_21; /* reuseOpt? */
extern OBJ _APreparedOptions_22(OBJ);OBJ __APreparedOptions_22; /* mergeMatchOpt? */
extern OBJ _APreparedOptions_23(OBJ);OBJ __APreparedOptions_23; /* aliasOpt? */
extern OBJ _APreparedOptions_24(OBJ);OBJ __APreparedOptions_24; /* selOpt? */
extern OBJ _APreparedOptions_25(OBJ);OBJ __APreparedOptions_25; /* maxSubFrees */
extern OBJ _APreparedOptions_26(OBJ);OBJ __APreparedOptions_26; /* foreignInterface? */
extern OBJ _APreparedOptions_27(OBJ);OBJ __APreparedOptions_27; /* foreignTemplate? */
extern OBJ _APreparedOptions_28(OBJ);OBJ __APreparedOptions_28; /* tailModCons? */
extern OBJ _APreparedOptions_29(OBJ);OBJ __APreparedOptions_29; /* traceExpEntries? */
extern OBJ _APreparedOptions_30(OBJ);OBJ __APreparedOptions_30; /* traceAllEntries? */
extern OBJ _APreparedOptions_31(OBJ,OBJ,OBJ);OBJ __APreparedOptions_31; /* @ */
extern OBJ _APreparedOptions_32(OBJ);OBJ __APreparedOptions_32; /* @? */
extern OBJ _APreparedOptions_33(OBJ);OBJ __APreparedOptions_33; /* weights */
extern OBJ _APreparedOptions_34(OBJ);OBJ __APreparedOptions_34; /* switches */
OBJ __APreparedOptions_36; /* exportOptim */
OBJ __APreparedOptions_37; /* weakError */
OBJ __APreparedOptions_38; /* unfold */
OBJ __APreparedOptions_39; /* liftConst */
OBJ __APreparedOptions_40; /* liftMFE */
OBJ __APreparedOptions_41; /* distribCase */
OBJ __APreparedOptions_42; /* distribCaseAlways */
OBJ __APreparedOptions_43; /* completeCase */
OBJ __APreparedOptions_44; /* completeCaseAlways */
OBJ __APreparedOptions_45; /* positions */
OBJ __APreparedOptions_46; /* defPositions */
OBJ __APreparedOptions_47; /* reuseOpt */
OBJ __APreparedOptions_48; /* aliasOpt */
OBJ __APreparedOptions_49; /* foreignInterface */
OBJ __APreparedOptions_50; /* foreignTemplate */
OBJ __APreparedOptions_51; /* tailModCons */
OBJ __APreparedOptions_52; /* selOpt */
OBJ __APreparedOptions_53; /* shareConst */
OBJ __APreparedOptions_54; /* shareExternConst */
OBJ __APreparedOptions_55; /* checkDiffExport */
OBJ __APreparedOptions_56; /* mergeMatchOpt */
OBJ __APreparedOptions_57; /* unfoldComplexity */
OBJ __APreparedOptions_58; /* exportComplexity */
OBJ __APreparedOptions_59; /* subFrees */
extern OBJ _APreparedOptions_60(OBJ,OBJ,OBJ);OBJ __APreparedOptions_60; /* incl? */
extern OBJ _APreparedOptions_61(OBJ,OBJ,OBJ);OBJ __APreparedOptions_61; /* optFlag? */
extern OBJ _APreparedOptions_62(OBJ,OBJ,OBJ);OBJ __APreparedOptions_62; /* transFlag? */
extern OBJ _APreparedOptions_63(OBJ,OBJ,OBJ);OBJ __APreparedOptions_63; /* genFlag? */
extern OBJ _APreparedOptions_64(OBJ,OBJ,OBJ);OBJ __APreparedOptions_64; /* optVal */
extern OBJ _APreparedOptions_65(OBJ,OBJ,OBJ);OBJ __APreparedOptions_65; /* genVal */
extern OBJ _APreparedOptions_66(OBJ,OBJ,OBJ);OBJ __APreparedOptions_66; /* val */
extern OBJ _APreparedOptions_67(OBJ,OBJ,OBJ,OBJ);OBJ __APreparedOptions_67; /* check */
OBJ __APreparedOptions_68; /* optFlag?'68 */
OBJ __APreparedOptions_69; /* optFlag?'69 */
OBJ __APreparedOptions_70; /* transFlag?'70 */
OBJ __APreparedOptions_71; /* transFlag?'71 */
OBJ __APreparedOptions_72; /* genFlag?'72 */
OBJ __APreparedOptions_73; /* genFlag?'73 */
OBJ __APreparedOptions_74; /* prepareOptions'74 */
OBJ __APreparedOptions_75; /* prepareOptions'75 */
OBJ __APreparedOptions_76; /* prepareOptions'76 */
OBJ __APreparedOptions_77; /* prepareOptions'77 */
OBJ __APreparedOptions_78; /* prepareOptions'78 */
OBJ __APreparedOptions_79; /* prepareOptions'79 */
OBJ __APreparedOptions_80; /* prepareOptions'80 */
OBJ __APreparedOptions_81; /* prepareOptions'81 */
OBJ __APreparedOptions_82; /* prepareOptions'82 */
OBJ __APreparedOptions_83; /* prepareOptions'83 */
OBJ __APreparedOptions_84; /* prepareOptions'84 */
OBJ __APreparedOptions_85; /* prepareOptions'85 */
OBJ __APreparedOptions_86; /* prepareOptions'86 */
OBJ __APreparedOptions_87; /* prepareOptions'87 */
OBJ __APreparedOptions_88; /* prepareOptions'88 */
OBJ __APreparedOptions_89; /* prepareOptions'89 */
OBJ __APreparedOptions_90; /* prepareOptions'90 */
OBJ __APreparedOptions_91; /* prepareOptions'91 */
OBJ __APreparedOptions_92; /* prepareOptions'92 */
OBJ __APreparedOptions_93; /* prepareOptions'93 */
OBJ __APreparedOptions_94; /* prepareOptions'94 */
extern OBJ _APreparedOptions_95(OBJ);OBJ __APreparedOptions_95; /* prepareOptions'95 */
OBJ __APreparedOptions_96; /* prepareOptions'96 */
OBJ __APreparedOptions_97; /* prepareOptions'97 */
OBJ __APreparedOptions_98; /* prepareOptions'98 */

extern OBJ _APreparedOptions_2(OBJ x1) /* prepareOptions */
{OBJ r;
 CPPRD(__APreparedOptions_74,1);
 CPPRD(__APreparedOptions_75,1);
 CPPRD(__APreparedOptions_76,1);
 CPPRD(__APreparedOptions_77,1);
 CPPRD(__APreparedOptions_78,1);
 CPPRD(__APreparedOptions_79,1);
 CPPRD(x1,13);
 {OBJ x2;OBJ x3;OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x27;OBJ x15;OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;OBJ x21;OBJ x22;OBJ x25;OBJ x26;OBJ x28;OBJ x29;OBJ x32;OBJ x24;OBJ x23;OBJ x31;OBJ x30;OBJ x38;OBJ x36;OBJ x39;OBJ x35;OBJ x33;OBJ x37;OBJ x40;OBJ x41;OBJ x42;OBJ x43;OBJ x44;OBJ x45;OBJ x46;OBJ x47;OBJ x48;OBJ x49;OBJ x50;OBJ x51;OBJ x52;OBJ x53;OBJ x54;OBJ x55;OBJ x56;OBJ x57;OBJ x58;OBJ x59;OBJ x60;OBJ x61;OBJ x62;OBJ x63;OBJ x64;OBJ x65;
  x2=_APreparedOptions_63(__APreparedOptions_74,x1,__ABUILTIN_3);
  x3=_APreparedOptions_62(__APreparedOptions_75,x1,__ABUILTIN_3);
  x4=_APreparedOptions_61(__APreparedOptions_76,x1,__ABUILTIN_3);
  x5=_APreparedOptions_61(__APreparedOptions_77,x1,__ABUILTIN_3);
  x6=_APreparedOptions_61(__APreparedOptions_78,x1,__ABUILTIN_3);
  x7=_APreparedOptions_61(__APreparedOptions_79,x1,__ABUILTIN_5);
  x8=_AOcOptions_13(__APrintableChar_72,x1);
  x9=_AOcOptions_11(__APrintableChar_87,x1);
  x10=_AOcOptions_11(__APrintableChar_75,x1);
  x11=_AOcOptions_11(__APrintableChar_84,x1);
  x12=_AOcOptions_11(__APrintableChar_81,x1);
  x13=_AOcOptions_11(__APrintableChar_71,x1);
  x14=_AOcOptions_11(__APrintableChar_89,x1);
  if(ISTGPRM(x13,1)){
   CPPRD(x1,14);
   CPPRD(__APreparedOptions_80,1);
   CPPRD(__APreparedOptions_81,1);
   CPPRD(__APreparedOptions_82,1);
   CPPRD(__APreparedOptions_83,1);
   CPPRD(__APreparedOptions_84,1);
   CPPRD(__APreparedOptions_85,1);
   CPPRD(__APreparedOptions_86,1);
   CPPRD(__APreparedOptions_87,1);
   CPPRD(__APreparedOptions_88,1);
   CPPRD(__APreparedOptions_89,1);
   CPPRD(__APreparedOptions_90,1);
   CPPRD(__APreparedOptions_91,1);
   CPPRD(__APreparedOptions_92,1);
   x27=_AOcOptions_11(__APrintableChar_62,x1);
  }else{
   CPPRD(x1,13);
   CPPRD(__APreparedOptions_80,1);
   CPPRD(__APreparedOptions_81,1);
   CPPRD(__APreparedOptions_82,1);
   CPPRD(__APreparedOptions_83,1);
   CPPRD(__APreparedOptions_84,1);
   CPPRD(__APreparedOptions_85,1);
   CPPRD(__APreparedOptions_86,1);
   CPPRD(__APreparedOptions_87,1);
   CPPRD(__APreparedOptions_88,1);
   CPPRD(__APreparedOptions_89,1);
   CPPRD(__APreparedOptions_90,1);
   CPPRD(__APreparedOptions_91,1);
   CPPRD(__APreparedOptions_92,1);
   x27=__ABUILTIN_3;}
  x15=_APreparedOptions_63(__APreparedOptions_80,x1,x2);
  x16=_APreparedOptions_62(__APreparedOptions_81,x1,x8);
  x17=_APreparedOptions_63(__APreparedOptions_82,x1,x9);
  x18=_APreparedOptions_62(__APreparedOptions_83,x1,x9);
  x19=_APreparedOptions_61(__APreparedOptions_84,x1,x9);
  x20=_APreparedOptions_61(__APreparedOptions_85,x1,x9);
  x21=_APreparedOptions_61(__APreparedOptions_86,x1,x10);
  x22=_APreparedOptions_61(__APreparedOptions_87,x1,x11);
  x25=_APreparedOptions_62(__APreparedOptions_88,x1,x12);
  x26=_APreparedOptions_62(__APreparedOptions_89,x1,x12);
  x28=_APreparedOptions_61(__APreparedOptions_90,x1,x13);
  x29=_APreparedOptions_61(__APreparedOptions_91,x1,x13);
  x32=_APreparedOptions_61(__APreparedOptions_92,x1,x14);
  if(ISTGPRM(x12,1)){
   CPPRD(x1,1);
   x23=_AOcOptions_11(__APrintableChar_61,x1);
   x24=__ANat_8;
  }else{
   x24=__ANat_5;x23=__ABUILTIN_3;}
  if(ISTGPRM(x14,1)){
   CPPRD(x1,1);
   x30=_AOcOptions_11(__APrintableChar_61,x1);
   x31=__ANat_9;
  }else{
   x31=__ANat_5;x30=__ABUILTIN_3;}
  if(ISTGPRM(x30,1)){
   x38=__ANat_11;
  }else{
   x38=x31;}
  if(ISTGPRM(x23,1)){
   x36=__ANat_10;
  }else{
   x36=x24;}
  if(ISTGPRM(x17,1)){
   CPCLS(__APreparedOptions_95,1);
   x39=(*(OBJ(*)(OBJ,OBJ))METHOD(__APreparedOptions_95,1))(__APreparedOptions_95,__ABUILTIN_20);
  }else{
   x39=__ASeq_6;}
  if(ISTGPRM(x10,1)){
   CPPRD(x1,1);
   {OBJ x34;
    x34=_AOcOptions_11(__APrintableChar_61,x1);
    if(ISTGPRM(x34,1)){
     CPPRD(x1,5);
     CPPRD(__APreparedOptions_93,1);
     CPPRD(__APreparedOptions_94,1);
     CPPRD(__APreparedOptions_96,1);
     CPPRD(__APreparedOptions_97,1);
     CPPRD(__APreparedOptions_98,1);
     x35=__ANat_9;
    }else{
     CPPRD(x1,5);
     CPPRD(__APreparedOptions_93,1);
     CPPRD(__APreparedOptions_94,1);
     CPPRD(__APreparedOptions_96,1);
     CPPRD(__APreparedOptions_97,1);
     CPPRD(__APreparedOptions_98,1);
     x35=__ANat_8;}}
  }else{
   CPPRD(x1,5);
   CPPRD(__APreparedOptions_93,1);
   CPPRD(__APreparedOptions_94,1);
   CPPRD(__APreparedOptions_96,1);
   CPPRD(__APreparedOptions_97,1);
   CPPRD(__APreparedOptions_98,1);
   x35=__ANat_5;}
  x33=_APreparedOptions_62(__APreparedOptions_93,x1,x16);
  x37=_APreparedOptions_61(__APreparedOptions_94,x1,x27);
  x40=_APreparedOptions_64(__APreparedOptions_96,x1,x35);
  x41=_APreparedOptions_65(__APreparedOptions_97,x1,x36);
  x42=_APreparedOptions_64(__APreparedOptions_98,x1,x38);
  if(ISTGPRM(x15,1)){
   CPCLS(__ANat_80,1);
   CPPRD(__ANatMap_3,1);
   x43=_ASet_39(__ANat_80,__APreparedOptions_49,x39);
  }else{
   x43=x39;
   CPPRD(__ANatMap_3,1);}
  x44=_ANatMap_4(__APreparedOptions_59,x41,__ANatMap_3);
  x45=_ANatMap_4(__APreparedOptions_58,x40,x44);
  if(ISTGPRM(x2,1)){
   CPCLS(__ANat_80,1);
   x46=_ASet_39(__ANat_80,__APreparedOptions_50,x43);
  }else{
   x46=x43;}
  x47=_ANatMap_4(__APreparedOptions_57,x42,x45);
  if(ISTGPRM(x3,1)){
   CPCLS(__ANat_80,1);
   x48=_ASet_39(__ANat_80,__APreparedOptions_52,x46);
  }else{
   x48=x46;}
  if(ISTGPRM(x18,1)){
   CPCLS(__ANat_80,1);
   x49=_ASet_39(__ANat_80,__APreparedOptions_56,x48);
  }else{
   x49=x48;}
  if(ISTGPRM(x25,1)){
   CPCLS(__ANat_80,1);
   x50=_ASet_39(__ANat_80,__APreparedOptions_48,x49);
  }else{
   x50=x49;}
  if(ISTGPRM(x26,1)){
   CPCLS(__ANat_80,1);
   x51=_ASet_39(__ANat_80,__APreparedOptions_47,x50);
  }else{
   x51=x50;}
  if(ISTGPRM(x33,1)){
   CPCLS(__ANat_80,1);
   x52=_ASet_39(__ANat_80,__APreparedOptions_46,x51);
  }else{
   x52=x51;}
  if(ISTGPRM(x16,1)){
   CPCLS(__ANat_80,1);
   x53=_ASet_39(__ANat_80,__APreparedOptions_45,x52);
  }else{
   x53=x52;}
  if(ISTGPRM(x4,1)){
   CPCLS(__ANat_80,1);
   x54=_ASet_39(__ANat_80,__APreparedOptions_44,x53);
  }else{
   x54=x53;}
  if(ISTGPRM(x19,1)){
   CPCLS(__ANat_80,1);
   x55=_ASet_39(__ANat_80,__APreparedOptions_43,x54);
  }else{
   x55=x54;}
  if(ISTGPRM(x5,1)){
   CPCLS(__ANat_80,1);
   x56=_ASet_39(__ANat_80,__APreparedOptions_42,x55);
  }else{
   x56=x55;}
  if(ISTGPRM(x20,1)){
   CPCLS(__ANat_80,1);
   x57=_ASet_39(__ANat_80,__APreparedOptions_41,x56);
  }else{
   x57=x56;}
  if(ISTGPRM(x6,1)){
   CPCLS(__ANat_80,1);
   x58=_ASet_39(__ANat_80,__APreparedOptions_40,x57);
  }else{
   x58=x57;}
  if(ISTGPRM(x37,1)){
   CPCLS(__ANat_80,1);
   x59=_ASet_39(__ANat_80,__APreparedOptions_54,x58);
  }else{
   x59=x58;}
  if(ISTGPRM(x28,1)){
   CPCLS(__ANat_80,1);
   x60=_ASet_39(__ANat_80,__APreparedOptions_53,x59);
  }else{
   x60=x59;}
  if(ISTGPRM(x29,1)){
   CPCLS(__ANat_80,1);
   x61=_ASet_39(__ANat_80,__APreparedOptions_39,x60);
  }else{
   x61=x60;}
  if(ISTGPRM(x32,1)){
   CPCLS(__ANat_80,1);
   x62=_ASet_39(__ANat_80,__APreparedOptions_38,x61);
  }else{
   x62=x61;}
  if(ISTGPRM(x22,1)){
   CPCLS(__ANat_80,1);
   x63=_ASet_39(__ANat_80,__APreparedOptions_37,x62);
  }else{
   x63=x62;}
  if(ISTGPRM(x7,1)){
   CPCLS(__ANat_80,1);
   x64=_ASet_39(__ANat_80,__APreparedOptions_55,x63);
  }else{
   x64=x63;}
  if(ISTGPRM(x21,1)){
   CPCLS(__ANat_80,1);
   x65=_ASet_39(__ANat_80,__APreparedOptions_36,x64);
  }else{
   x65=x64;}
  PRD1(3,r);FLD1(r,1)=x1;FLD1(r,2)=x65;FLD1(r,3)=x47;}
 return r;}

extern OBJ _APreparedOptions_3(OBJ x1) /* options */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APreparedOptions_4(OBJ x1,OBJ x2) /* importOptim? */
{OBJ r;
 {OBJ x3=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x3,1);
   FRPRD(x1,1);}
  {OBJ x6;OBJ x7;
   x6=x3;
   CPPRD(x6,1);
   x7=_AOcOptions_11(__APrintableChar_75,x6);
   if(ISTGPRM(x7,1)){
    {OBJ x8;
     x8=_AOcOptions_12(x2,x6);
     if(ISTGPRM(x8,1)){
      r=__ABUILTIN_3;
     }else{
      r=__ABUILTIN_5;}}
   }else{
    FRPRD(x2,1);
    FRPRD(x6,1);
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _APreparedOptions_5(OBJ x1) /* exportOptim? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_36,x5);}}
 return r;}

extern OBJ _APreparedOptions_6(OBJ x1) /* checkDiffExport? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_55,x5);}}
 return r;}

extern OBJ _APreparedOptions_7(OBJ x1) /* weakError? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_37,x5);}}
 return r;}

extern OBJ _APreparedOptions_8(OBJ x1) /* unfold? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_38,x5);}}
 return r;}

extern OBJ _APreparedOptions_9(OBJ x1) /* maxUnfoldComplexity */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   CPPRD(x4,1);
   FRPRD(x1,1);}
  {OBJ x5;
   x5=x4;
   r=_ANatMap_14(x5,__APreparedOptions_57);}}
 return r;}

extern OBJ _APreparedOptions_10(OBJ x1) /* maxExportComplexity */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   CPPRD(x4,1);
   FRPRD(x1,1);}
  {OBJ x5;
   x5=x4;
   r=_ANatMap_14(x5,__APreparedOptions_58);}}
 return r;}

extern OBJ _APreparedOptions_11(OBJ x1) /* liftConst? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_39,x5);}}
 return r;}

extern OBJ _APreparedOptions_12(OBJ x1) /* shareConst? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_53,x5);}}
 return r;}

extern OBJ _APreparedOptions_13(OBJ x1) /* shareExternConst? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_54,x5);}}
 return r;}

extern OBJ _APreparedOptions_14(OBJ x1) /* liftMFE? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_40,x5);}}
 return r;}

extern OBJ _APreparedOptions_15(OBJ x1) /* distribCase? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_41,x5);}}
 return r;}

extern OBJ _APreparedOptions_16(OBJ x1) /* distribCaseAlways? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_42,x5);}}
 return r;}

extern OBJ _APreparedOptions_17(OBJ x1) /* completeCase? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_43,x5);}}
 return r;}

extern OBJ _APreparedOptions_18(OBJ x1) /* completeCaseAlways? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_44,x5);}}
 return r;}

extern OBJ _APreparedOptions_19(OBJ x1) /* positions? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_45,x5);}}
 return r;}

extern OBJ _APreparedOptions_20(OBJ x1) /* defPositions? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_46,x5);}}
 return r;}

extern OBJ _APreparedOptions_21(OBJ x1) /* reuseOpt? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_47,x5);}}
 return r;}

extern OBJ _APreparedOptions_22(OBJ x1) /* mergeMatchOpt? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_56,x5);}}
 return r;}

extern OBJ _APreparedOptions_23(OBJ x1) /* aliasOpt? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_48,x5);}}
 return r;}

extern OBJ _APreparedOptions_24(OBJ x1) /* selOpt? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_52,x5);}}
 return r;}

extern OBJ _APreparedOptions_25(OBJ x1) /* maxSubFrees */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   CPPRD(x4,1);
   FRPRD(x1,1);}
  {OBJ x5;
   x5=x4;
   r=_ANatMap_14(x5,__APreparedOptions_59);}}
 return r;}

extern OBJ _APreparedOptions_26(OBJ x1) /* foreignInterface? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_49,x5);}}
 return r;}

extern OBJ _APreparedOptions_27(OBJ x1) /* foreignTemplate? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_50,x5);}}
 return r;}

extern OBJ _APreparedOptions_28(OBJ x1) /* tailModCons? */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__ANat_80,1);
  {OBJ x5;
   x5=x3;
   r=_ASet_44(__ANat_80,__APreparedOptions_51,x5);}}
 return r;}

extern OBJ _APreparedOptions_29(OBJ x1) /* traceExpEntries? */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   FRPRD(x1,1);}
  {OBJ x5;
   x5=x2;
   r=_AOcOptions_13(__APrintableChar_88,x5);}}
 return r;}

extern OBJ _APreparedOptions_30(OBJ x1) /* traceAllEntries? */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   FRPRD(x1,1);}
  {OBJ x5;
   x5=x2;
   r=_AOcOptions_13(__APrintableChar_62,x5);}}
 return r;}

extern OBJ _APreparedOptions_31(OBJ x1,OBJ x2,OBJ x3) /* @ */
{OBJ r;
 PRD1(3,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;
 return r;}

extern OBJ _APreparedOptions_32(OBJ x1) /* @? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APreparedOptions_33(OBJ x1) /* weights */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   r=x4;
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   CPPRD(x4,1);
   r=x4;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APreparedOptions_34(OBJ x1) /* switches */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   COPY(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APreparedOptions_60(OBJ x1,OBJ x2,OBJ x3) /* incl? */
{OBJ r;
 if(ISTGPRM(x2,1)){
  CPCLS(__ANat_80,1);
  r=_ASet_39(__ANat_80,x1,x3);
 }else{
  r=x3;}
 return r;}

extern OBJ _APreparedOptions_61(OBJ x1,OBJ x2,OBJ x3) /* optFlag? */
{OBJ r;
 CPPRD(__APreparedOptions_68,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x4;OBJ x5;
  ADenotation_4(__APreparedOptions_68,x1,x4);
  x5=_AOcOptions_14(x4,x2);
  if(ISTGPRM(x5,1)){
   FRPRD(x1,1);
   FRPRD(x2,1);
   r=__ABUILTIN_5;
  }else{
   CPPRD(__APreparedOptions_69,1);
   {OBJ x6;OBJ x7;
    ADenotation_4(__APreparedOptions_69,x1,x6);
    x7=_AOcOptions_14(x6,x2);
    if(ISTGPRM(x7,1)){
     r=__ABUILTIN_3;
    }else{
     r=x3;}}}}
 return r;}

extern OBJ _APreparedOptions_62(OBJ x1,OBJ x2,OBJ x3) /* transFlag? */
{OBJ r;
 CPPRD(__APreparedOptions_70,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x4;OBJ x5;
  ADenotation_4(__APreparedOptions_70,x1,x4);
  x5=_AOcOptions_14(x4,x2);
  if(ISTGPRM(x5,1)){
   FRPRD(x1,1);
   FRPRD(x2,1);
   r=__ABUILTIN_5;
  }else{
   CPPRD(__APreparedOptions_71,1);
   {OBJ x6;OBJ x7;
    ADenotation_4(__APreparedOptions_71,x1,x6);
    x7=_AOcOptions_14(x6,x2);
    if(ISTGPRM(x7,1)){
     r=__ABUILTIN_3;
    }else{
     r=x3;}}}}
 return r;}

extern OBJ _APreparedOptions_63(OBJ x1,OBJ x2,OBJ x3) /* genFlag? */
{OBJ r;
 CPPRD(__APreparedOptions_72,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x4;OBJ x5;
  ADenotation_4(__APreparedOptions_72,x1,x4);
  x5=_AOcOptions_14(x4,x2);
  if(ISTGPRM(x5,1)){
   FRPRD(x1,1);
   FRPRD(x2,1);
   r=__ABUILTIN_5;
  }else{
   CPPRD(__APreparedOptions_73,1);
   {OBJ x6;OBJ x7;
    ADenotation_4(__APreparedOptions_73,x1,x6);
    x7=_AOcOptions_14(x6,x2);
    if(ISTGPRM(x7,1)){
     r=__ABUILTIN_3;
    }else{
     r=x3;}}}}
 return r;}

extern OBJ _APreparedOptions_64(OBJ x1,OBJ x2,OBJ x3) /* optVal */
{OBJ r;
 CPCLS(__APreparedOptions_67,1);
 CPPRD(__APreparedOptions_68,1);
 {OBJ x4;OBJ x5;
  ADenotation_4(__APreparedOptions_68,x1,x4);
  x5=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APreparedOptions_67,2))(__APreparedOptions_67,x4,x2);
  r=_AControl_5(__ANat_5,__ANat_23,x5,x3);}
 return r;}

extern OBJ _APreparedOptions_65(OBJ x1,OBJ x2,OBJ x3) /* genVal */
{OBJ r;
 CPCLS(__APreparedOptions_67,1);
 CPPRD(__APreparedOptions_72,1);
 {OBJ x4;OBJ x5;
  ADenotation_4(__APreparedOptions_72,x1,x4);
  x5=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APreparedOptions_67,2))(__APreparedOptions_67,x4,x2);
  r=_AControl_5(__ANat_5,__ANat_23,x5,x3);}
 return r;}

extern OBJ _APreparedOptions_66(OBJ x1,OBJ x2,OBJ x3) /* val */
{OBJ r;
 CPCLS(__APreparedOptions_67,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APreparedOptions_67,2))(__APreparedOptions_67,x1,x2);
  r=_AControl_5(__ANat_5,__ANat_23,x4,x3);}
 return r;}

extern OBJ _APreparedOptions_67(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* check */
{OBJ r;
 {OBJ x5;OBJ x6;OBJ x7;
  ANatConv_1(x3,x5);
  ADenotation_4(x1,x5,x6);
  x7=_AOcOptions_14(x6,x2);
  if(ISTGPRM(x7,1)){
   r=x3;
  }else{
   r=x4;}}
 return r;}

extern OBJ _APreparedOptions_95(OBJ x1) /* prepareOptions'95 */
{OBJ r;
 CPCLS(__ANat_80,1);
 r=_ASet_39(__ANat_80,__APreparedOptions_51,__ASeq_6);
 return r;}

























static OBJ _mt_4_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,2);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 return r;}

static OBJ _mt_4_2_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),t1,t2);
 return r;}

init_APreparedOptions()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_AOcOptions();
 init_AChar();
 init_ASeq();
 init_ACom();
 init_AStream();
 init_AVoid();
 init_AString();
 init_AFile();
 init_AInt();
 init_AOption();
 init_ADenotation();
 init_ANatConv();
 init_AControl();
 init_ANatMap();
 init_ASet();
 init_APrintableChar();
 init_APair();
 init_AReal();
 init_ATree();
 init_ABitset();
 init_AMap();
 init_AMapReduce();
 init_ASeqReduce();
 init_ASetByBST();
 init_ABSTree();
 init_AArray();
 LCLS(1,_APreparedOptions_95,__APreparedOptions_95);
 CLS(3,_APreparedOptions_31,__APreparedOptions_31);
 CLS(3,_APreparedOptions_63,__APreparedOptions_63);
 DEN("ShareExternConst",__APreparedOptions_94);
 CLS(1,_APreparedOptions_30,__APreparedOptions_30);
 CLS(3,_APreparedOptions_62,__APreparedOptions_62);
 DEN("DefPositions",__APreparedOptions_93);
 CLS(1,_APreparedOptions_29,__APreparedOptions_29);
 CLS(3,_APreparedOptions_61,__APreparedOptions_61);
 DEN("Unfold",__APreparedOptions_92);
 CLS(1,_APreparedOptions_28,__APreparedOptions_28);
 CLS(3,_APreparedOptions_60,__APreparedOptions_60);
 DEN("LiftConst",__APreparedOptions_91);
 CLS(1,_APreparedOptions_27,__APreparedOptions_27);
 DEN("ShareConst",__APreparedOptions_90);
 CLS(1,_APreparedOptions_26,__APreparedOptions_26);
 DEN("Reusage",__APreparedOptions_89);
 CLS(1,_APreparedOptions_25,__APreparedOptions_25);
 DEN("Alias",__APreparedOptions_88);
 CLS(1,_APreparedOptions_24,__APreparedOptions_24);
 DEN("WeakError",__APreparedOptions_87);
 CLS(1,_APreparedOptions_23,__APreparedOptions_23);
 DEN("ExportOpt",__APreparedOptions_86);
 CLS(1,_APreparedOptions_22,__APreparedOptions_22);
 DEN("DistribCase",__APreparedOptions_85);
 CLS(1,_APreparedOptions_21,__APreparedOptions_21);
 DEN("CompleteCase",__APreparedOptions_84);
 CLS(1,_APreparedOptions_20,__APreparedOptions_20);
 DEN("MergeMatch",__APreparedOptions_83);
 CLS(1,_APreparedOptions_19,__APreparedOptions_19);
 DEN("TailModCons",__APreparedOptions_82);
 CLS(1,_APreparedOptions_18,__APreparedOptions_18);
 DEN("Positions",__APreparedOptions_81);
 CLS(1,_APreparedOptions_17,__APreparedOptions_17);
 DEN("ForeignInterface",__APreparedOptions_80);
 CLS(1,_APreparedOptions_16,__APreparedOptions_16);
 DEN("CheckDiffExport",__APreparedOptions_79);
 CLS(1,_APreparedOptions_15,__APreparedOptions_15);
 DEN("LiftMFE",__APreparedOptions_78);
 CLS(1,_APreparedOptions_14,__APreparedOptions_14);
 DEN("DistribCaseAlways",__APreparedOptions_77);
 CLS(1,_APreparedOptions_13,__APreparedOptions_13);
 DEN("CompleteCaseAlways",__APreparedOptions_76);
 CLS(1,_APreparedOptions_12,__APreparedOptions_12);
 DEN("LazySel",__APreparedOptions_75);
 CLS(1,_APreparedOptions_11,__APreparedOptions_11);
 DEN("ForeignTemplate",__APreparedOptions_74);
 CLS(1,_APreparedOptions_10,__APreparedOptions_10);
 DEN("gNo",__APreparedOptions_73);
 CLS(1,_APreparedOptions_9,__APreparedOptions_9);
 DEN("g",__APreparedOptions_72);
 CLS(1,_APreparedOptions_8,__APreparedOptions_8);
 DEN("tNo",__APreparedOptions_71);
 CLS(1,_APreparedOptions_7,__APreparedOptions_7);
 DEN("t",__APreparedOptions_70);
 CLS(1,_APreparedOptions_6,__APreparedOptions_6);
 DEN("oNo",__APreparedOptions_69);
 CLS(1,_APreparedOptions_5,__APreparedOptions_5);
 DEN("o",__APreparedOptions_68);
 CLS(2,_APreparedOptions_4,__APreparedOptions_4);
 CLS(1,_APreparedOptions_3,__APreparedOptions_3);
 CLS(4,_APreparedOptions_67,__APreparedOptions_67);
 DEN("UnfoldComp",__APreparedOptions_98);
 CLS(3,_APreparedOptions_66,__APreparedOptions_66);
 CLS(1,_APreparedOptions_2,__APreparedOptions_2);
 CLS(1,_APreparedOptions_34,__APreparedOptions_34);
 DEN("SubFrees",__APreparedOptions_97);
 CLS(1,_APreparedOptions_33,__APreparedOptions_33);
 CLS(3,_APreparedOptions_65,__APreparedOptions_65);
 DEN("ExportComp",__APreparedOptions_96);
 CLS(1,_APreparedOptions_32,__APreparedOptions_32);
 CLS(3,_APreparedOptions_64,__APreparedOptions_64);
 MTH(4,0,2,_mt_4_0_2);LZYMTH(4,0,2,_mt_4_0_2);
 MTH(4,2,2,_mt_4_2_2);LZYMTH(4,2,2,_mt_4_2_2);
 __APreparedOptions_36=__ANat_5;
 __APreparedOptions_37=__ANat_8;
 __APreparedOptions_38=__ANat_9;
 __APreparedOptions_39=__ANat_10;
 __APreparedOptions_40=__ANat_11;
 __APreparedOptions_41=__ANat_12;
 __APreparedOptions_42=__ANat_13;
 __APreparedOptions_43=__ANat_14;
 __APreparedOptions_44=__ANat_15;
 __APreparedOptions_45=__ANat_16;
 __APreparedOptions_46=__ANat_17;
 __APreparedOptions_47=__ANat_18;
 __APreparedOptions_48=__ANat_19;
 __APreparedOptions_49=__ANat_20;
 __APreparedOptions_50=__ANat_21;
 __APreparedOptions_51=__ANat_22;
 __APreparedOptions_52=__ANat_23;
 __APreparedOptions_53=__ANat_24;
 __APreparedOptions_54=__ANat_25;
 __APreparedOptions_55=__ANat_26;
 __APreparedOptions_56=__ANat_27;
 __APreparedOptions_57=__ANat_5;
 __APreparedOptions_58=__ANat_8;
 __APreparedOptions_59=__ANat_9;}

